%define name	mugshot 
%define version	1.2.1
%define release	%mkrel 1
%define mozver %(rpm -q --queryformat %%{VERSION} mozilla-firefox)
%define loudmouth_version 1.2.2
%define libloudmouth %mklibname loudmouth- 1 0

Name:		%{name}
Version:	%{version} 
Release:	%{release}
Summary:	Companion software for mugshot.org
Group:		Networking/WWW
License:	GPLv2+
URL:		http://mugshot.org/
Source0:	http://download.mugshot.org/client/sources/linux/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	loudmouth-devel >= %{loudmouth_version}
BuildRequires:	libjpeg-devel
BuildRequires:	curl-devel >= 7.15
BuildRequires:	libGConf2-devel >= 2.8
BuildRequires:	libxscrnsaver-devel
BuildRequires:	desktop-data-model-devel
BuildRequires:	hippo-canvas-devel
BuildRequires:	mozilla-firefox-devel >= 2.0
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf2.5
BuildRequires:	gnome-desktop-devel
BuildRequires:	gnome-vfs2-devel
Requires: %{libloudmouth} >= %{loudmouth_version}

%description
Mugshot works with the server at mugshot.org to extend 
the panel, web browser, music player and other parts of the desktop with 
a "live social experience." It's fun and easy.

%prep
%setup -q 

%build
%configure2_5x --with-gecko-idl=%_datadir/idl/firefox-%mozver --with-gecko-headers=%_includedir/firefox-%mozver --with-xpidl=%_libdir/firefox-%mozver/xpidl
#gw parallel make broken in 1.2.1
make 

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std

unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -f %buildroot%_libdir/mugshot/firefox/components/*.a

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Internet-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas mugshot-uri-handler
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas mugshot-uri-handler

%postun
%clean_icon_cache hicolor

%files
%defattr(-,root,root,-)
%{_bindir}/mugshot
%{_bindir}/mugshot-uri-handler
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/mugshot
%{_datadir}/applications/mugshot.desktop
%{_datadir}/gnome/autostart/*.desktop
%{_sysconfdir}/gconf/schemas/mugshot-uri-handler.schemas
%{_libdir}/mugshot/
%_libexecdir/mugshot-autostart-check


%changelog
* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2009.0
+ Revision: 242330
- new version
- update deps
- fix build
- drop patch
- remove library packages, now in desktop-data-model
- update file list

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jan 22 2008 Funda Wang <fundawang@mandriva.org> 1.1.58-2mdv2008.1
+ Revision: 156081
- New version 1.1.58

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Frederic Crozat <fcrozat@mandriva.com>
    - Fix buildrequires for 2007.1 backport

* Mon Jul 02 2007 Pascal Terjan <pterjan@mandriva.org> 1.1.46-1mdv2008.0
+ Revision: 47130
- 1.1.46

* Sun May 20 2007 Eskild Hustvedt <eskild@mandriva.org> 1.1.42-2mdv2008.0
+ Revision: 28797
- Added p0: removes the upgrade message when a new version is available

* Fri Apr 27 2007 Frederic Crozat <fcrozat@mandriva.com> 1.1.42-1mdv2008.0
+ Revision: 18692
- Release 1.1.42


* Sat Apr 07 2007 Pascal Terjan <pterjan@mandriva.org> 1.1.40-1mdv2007.1
+ Revision: 150904
- Add missing buildrequires

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - add desktop entry

* Fri Mar 02 2007 Götz Waschk <waschk@mandriva.org> 1.1.37-1mdv2007.1
+ Revision: 131537
- fix buildrequires
- new version

* Sat Feb 10 2007 Götz Waschk <waschk@mandriva.org> 1.1.33-1mdv2007.1
+ Revision: 118683
- new version
- new version
- drop patch

* Thu Dec 21 2006 Götz Waschk <waschk@mandriva.org> 1.1.30-1mdv2007.1
+ Revision: 100920
- new version

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 1.1.28-1mdv2007.1
+ Revision: 92114
- new version
- fix build with new firefox

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 1.1.26-1mdv2007.1
+ Revision: 89518
- new version
- unpack patch

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.1.25-2mdv2007.1
+ Revision: 86044
- fix buildrequires
- new version

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 1.1.24-1mdv2007.0
+ Revision: 79161
- new version

* Sat Oct 28 2006 Götz Waschk <waschk@mandriva.org> 1.1.22-1mdv2007.1
+ Revision: 73515
- Import mugshot

* Sat Oct 28 2006 Gtz Waschk <waschk@mandriva.org> 1.1.22-1mdv2007.1
- fix build
- drop patch 0
- new version

* Thu Sep 28 2006 Götz Waschk <waschk@mandriva.org> 1.1.16-1mdv2007.0
- fix build with firefox
- update the patch
- new version

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-3mdv2007.0
- patch to add muine support

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-2mdv2007.0
- fix buildrequires

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-1mdv2007.0
- new version

* Sat Jul 15 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.8-1mdv2007.0
- Package from Reinout van Schouwen <reinouts@gnome.org>
- Use autoconf 2.5
- Fix BuildRequires
- Use macros in scriptlets and missing preun
- Remove duplicate source
- First Mandriva version

* Wed Jul 12 2006 Reinout van Schouwen <reinouts@gnome.org> - 1.1.7-1mdv
- Mandriva Cooker build

* Wed Jul 12 2006 Havoc Pennington <hp@redhat.com> - 1.1.7-1
- 1.1.7

* Thu Jun 29 2006 Havoc Pennington <hp@redhat.com> - 1.1.6-1
- 1.1.6

* Sat Jun 10 2006 Havoc Pennington <hp@redhat.com> - 1.1.5-1
- 1.1.5

* Tue May 30 2006 Havoc Pennington <hp@redhat.com> - 1.1.3-1
- 1.1.3

* Sun May 28 2006 Havoc Pennington <hp@redhat.com> - 1.1.2-2
- add requirement on patched loudmouth

* Sat May 27 2006 Havoc Pennington <hp@redhat.com> - 1.1.2-1
- 1.1.2

* Tue May 23 2006 Havoc Pennington <hp@redhat.com> - 1.1.1-1
- 1.1.1

* Tue May 23 2006 Havoc Pennington <hp@redhat.com> - 1.1.0-1
- Initial package

